/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1999. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_MARKER                    2       /* callback function: CurrentMarker */
#define  PANEL_SAMPLEIDX                 3
#define  PANEL_STATE                     4
#define  PANEL_COMMANDBUTTON             5       /* callback function: AddMarker */
#define  PANEL_SLIDE                     6       /* callback function: Slide */
#define  PANEL_COMMANDBUTTON_5           7       /* callback function: DeleteMarker */
#define  PANEL_COMMANDBUTTON_4           8       /* callback function: ResetList */
#define  PANEL_COMMANDBUTTON_3           9       /* callback function: cancel */
#define  PANEL_COMMANDBUTTON_2           10      /* callback function: ok */
#define  PANEL_DECORATION                11
#define  PANEL_TEXTMSG_2                 12
#define  PANEL_TEXTMSG_3                 13
#define  PANEL_DECORATION_2              14
#define  PANEL_DECORATION_4              15
#define  PANEL_DECORATION_3              16
#define  PANEL_DECORATION_6              17
#define  PANEL_DECORATION_7              18
#define  PANEL_DECORATION_8              19
#define  PANEL_DECORATION_9              20
#define  PANEL_DECORATION_10             21
#define  PANEL_DECORATION_11             22
#define  PANEL_DECORATION_12             23
#define  PANEL_DECORATION_13             24
#define  PANEL_DECORATION_14             25
#define  PANEL_DECORATION_15             26
#define  PANEL_TEXTMSG_4                 27
#define  PANEL_TEXTMSG                   28
#define  PANEL_MBAR_1                    29
#define  PANEL_MBAR_2                    30
#define  PANEL_MBAR_3                    31
#define  PANEL_MBAR_4                    32
#define  PANEL_MBAR_5                    33
#define  PANEL_SIDX_1                    34      /* callback function: ActiveItem */
#define  PANEL_MSTATE_1                  35      /* callback function: ActiveItem */
#define  PANEL_SIDX_2                    36      /* callback function: ActiveItem */
#define  PANEL_MSTATE_2                  37      /* callback function: ActiveItem */
#define  PANEL_SIDX_3                    38      /* callback function: ActiveItem */
#define  PANEL_MSTATE_3                  39      /* callback function: ActiveItem */
#define  PANEL_SIDX_4                    40      /* callback function: ActiveItem */
#define  PANEL_MSTATE_4                  41      /* callback function: ActiveItem */
#define  PANEL_SIDX_5                    42      /* callback function: ActiveItem */
#define  PANEL_MSTATE_5                  43      /* callback function: ActiveItem */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ActiveItem(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AddMarker(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cancel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CurrentMarker(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK DeleteMarker(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ok(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ResetList(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Slide(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
