/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1999. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_FILT_Q                    2
#define  PANEL_FILT_I                    3
#define  PANEL_OUTTYPE                   4       /* callback function: OutType */
#define  PANEL_STATE_Q                   5       /* callback function: State */
#define  PANEL_BIAS_Q                    6
#define  PANEL_AMPL_Q                    7
#define  PANEL_IMPED                     8
#define  PANEL_STATE_I                   9       /* callback function: State */
#define  PANEL_BIAS_I                    10
#define  PANEL_AMPL_I                    11
#define  PANEL_COMMANDBUTTON_2           12      /* callback function: Quit */
#define  PANEL_COMMANDBUTTON             13      /* callback function: set */
#define  PANEL_TEXTMSG_2                 14
#define  PANEL_TEXTMSG                   15
#define  PANEL_DECORATION                16
#define  PANEL_DECORATION_2              17
#define  PANEL_TEXTMSG_3                 18


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK OutType(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK set(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK State(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
