/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1999. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_COMMANDBUTTON_3           2       /* callback function: Quit */
#define  PANEL_TRANS                     3       /* callback function: trans */
#define  PANEL_DEST                      4       /* callback function: dest */
#define  PANEL_AMIQF                     5
#define  PANEL_TEXTMSG                   6
#define  PANEL_DECORATION                7
#define  PANEL_FILENAME                  8       /* callback function: InvokeFileDialog */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK dest(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK InvokeFileDialog(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK trans(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
