/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1999. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  CPANEL                          1
#define  CPANEL_SERIALPORT               2
#define  CPANEL_GPIBADDR                 3
#define  CPANEL_COMMANDBUTTON_2          4       /* callback function: QuitConn */
#define  CPANEL_COMMANDBUTTON            5       /* callback function: Connect */
#define  CPANEL_RESET                    6
#define  CPANEL_VIA                      7
#define  CPANEL_TEXTMSG                  8
#define  CPANEL_DECORATION               9
#define  CPANEL_TEXTMSG_4                10
#define  CPANEL_TEXTMSG_2                11
#define  CPANEL_DECORATION_2             12
#define  CPANEL_TEXTMSG_3                13


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK Connect(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitConn(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
