/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1999. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_SOURCE                    2       /* callback function: source */
#define  PANEL_COMMANDBUTTON_4           3       /* callback function: Quit */
#define  PANEL_COMMANDBUTTON_3           4       /* callback function: abortTRG */
#define  PANEL_COMMANDBUTTON_2           5       /* callback function: arm */
#define  PANEL_COMMANDBUTTON             6       /* callback function: swTrigg */
#define  PANEL_MODE                      7       /* callback function: mode */
#define  PANEL_SLOPE                     8       /* callback function: slope */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK abortTRG(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK arm(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK mode(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK slope(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK source(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK swTrigg(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
